
def find_unique_elements(list1, list2):
    from lxml import etree

    # Create a string representation of both lists
    list1_xml = etree.Element("list", attrib={"type": "list1"})
    for item in list1:
        list1_xml.append(etree.SubElement(list1_xml, "item", attrib={"value": str(item)}))

    list2_xml = etree.Element("list", attrib={"type": "list2"})
    for item in list2:
        list2_xml.append(etree.SubElement(list2_xml, "item", attrib={"value": str(item)}))

    # Merge the XML representations
    merged_xml = etree.Element("merged_list")
    merged_xml.append(list1_xml)
    merged_xml.append(list2_xml)

    # Find unique elements
    unique_elements = []
    for item in list1 + list2:
        if not any(etree.tostring(item_element) == etree.tostring(etree.Element("item", attrib={"value": str(item)})) for item_element in merged_xml.iter("item")):
            unique_elements.append(item)

    return unique_elements



